local CAAMissileNaniteProjectile = import('/lua/cybranprojectiles.lua').CAAMissileNaniteProjectile

RaptorMissiles01 = Class(CAAMissileNaniteProjectile) {

    OnCreate = function(self)
        CAAMissileNaniteProjectile.OnCreate(self)
        self:ForkThread(self.UpdateThread)
    end,

    UpdateThread = function(self)
        WaitSeconds(1.5)
        self:SetMaxSpeed(80)
        self:SetAcceleration(10 + Random() * 8)
        self:ChangeMaxZigZag(0.5)
        self:ChangeZigZagFrequency(2)
    end,

    OnImpact = function(self, TargetType, TargetEntity)
    
          CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/cybran_commander_overcharge_hit_01_emit.bp'):ScaleEmitter(2.5)  
          CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/cybran_commander_overcharge_hit_02_emit.bp'):ScaleEmitter(2.5) 
    
        CAAMissileNaniteProjectile.OnImpact(self, TargetType, TargetEntity)
    end,
}

TypeClass = RaptorMissiles01

